vanderpol: vanderpol.o
	cc -o vanderpol vanderpol.o -L/opt/local/lib -L/home/immler/lib -lpolymain -lpolyml -lstdc++ -lm -ldl -lpthread -lgmp

vanderpol.o: vanderpol.ML vanderpol_core.ML
	export PATH=$${PATH}:/home/immler/bin; \
	echo $${PATH}; \
	echo "PolyML.export (\"vanderpol\", vanderpol)" | poly -q --error-exit --use vanderpol.ML

lorenzc: lorenzc.o
	cc -o lorenzc lorenzc.o -L/opt/local/lib -L/home/immler/lib -lpolymain -lpolyml -lstdc++ -lm -ldl -lpthread -lgmp

lorenzc.o: lorenz.ML lorenz_core.ML
	export PATH=$${PATH}:/home/immler/bin; \
	echo $${PATH}; \
	echo "PolyML.export (\"lorenzc\", lorenzc)" | poly -q --error-exit --use lorenz.ML

